#!/bin/bash
if ls *.cs 1> /dev/null 2>&1; then
    for file in *.cs; do
        new_name=$(echo "$file" | tr '[:upper:]' '[:lower:]' | sed -E "s/(^|_)([a-z])/\U\2/g" | sed "s/_//g")

        mv "$file" "$new_name"
    done
    echo "Renombrado completado."
else
    echo "No se encontraron archivos .cs en el directorio."
fi
